### Hierarchy

- FormField

## Index

### Constructors

- constructor

### Properties

- change
- configJson
- currentValue
- data
- dataJson
- el
- key
- styles
- tag
- translateService
- type
- value

### Methods

- componentDidLoad
- componentDidUpdate
- getValue
- postRender
- render
- setData
- translate

### Object literals

- config

## Constructors

### constructor

- new FormField(): FormField

- - Defined in form/form-field/form-field.tsx:30

  #### Returns FormField

## Properties

### change

change: EventEmitter

- Defined in form/form-field/form-field.tsx:48

### configJson

configJson: string

- Defined in form/form-field/form-field.tsx:24

### currentValue

currentValue: any

- Defined in form/form-field/form-field.tsx:22

### data

data: any

- Defined in form/form-field/form-field.tsx:13

### dataJson

dataJson: string

- Defined in form/form-field/form-field.tsx:25

### el

el: HTMLElement

- Defined in form/form-field/form-field.tsx:12

### key

key: string = ""

- Defined in form/form-field/form-field.tsx:26

### styles

styles: any

- Defined in form/form-field/form-field.tsx:27

### tag

tag: string = "input"

- Defined in form/form-field/form-field.tsx:28

### translateService

translateService: TranslateService

- Defined in form/form-field/form-field.tsx:10

### type

type: string = "text"

- Defined in form/form-field/form-field.tsx:29

### value

value: any

- Defined in form/form-field/form-field.tsx:30

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in form/form-field/form-field.tsx:36

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in form/form-field/form-field.tsx:40

  #### Returns void

### getValue

- getValue(): Promise<any>

- - Defined in form/form-field/form-field.tsx:56

  #### Returns Promise<any>

### postRender

- postRender(): void

- - Defined in form/form-field/form-field.tsx:43

  #### Returns void

### render

- render(): any

- - Defined in form/form-field/form-field.tsx:64

  #### Returns any

### setData

- setData(data: any): Promise<void>

- - Defined in form/form-field/form-field.tsx:51

  #### Parameters

  - ##### data: any

  #### Returns Promise<void>

### translate

- translate(str: string): string

- - Defined in form/form-field/form-field.tsx:60

  #### Parameters

  - ##### str: string

  #### Returns string

## Object literals

### config

config: object

- Defined in form/form-field/form-field.tsx:14

### disabled

disabled: boolean = false

- Defined in form/form-field/form-field.tsx:20

### hidden

hidden: boolean = false

- Defined in form/form-field/form-field.tsx:19

### label

label: string = ""

- Defined in form/form-field/form-field.tsx:15

### placeholder

placeholder: string = ""

- Defined in form/form-field/form-field.tsx:18

### tag

tag: string = "input"

- Defined in form/form-field/form-field.tsx:16

### type

type: string = "text"

- Defined in form/form-field/form-field.tsx:17